{
  "codeName" : "Main3_2",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001/PSFORMS/Main3_2.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "数据补充",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZSAMPLE0001ID",
      "codeName" : "IBIZSample0001Id"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZSAMPLE0001NAME",
      "codeName" : "IBIZSample0001Name"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "address",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "ADDRESS",
      "codeName" : "Address"
    }
  }, {
    "id" : "color",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "COLOR",
      "codeName" : "Color"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "field02",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD02",
      "codeName" : "Field02"
    }
  }, {
    "id" : "field01",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD01",
      "codeName" : "Field01"
    }
  }, {
    "id" : "field03",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD03",
      "codeName" : "Field03"
    }
  }, {
    "id" : "field04",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD04",
      "codeName" : "Field04"
    }
  }, {
    "id" : "field05",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "FIELD05",
      "codeName" : "Field05"
    }
  }, {
    "id" : "field06",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "FIELD06",
      "codeName" : "Field06"
    }
  }, {
    "id" : "field08",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "FIELD08",
      "codeName" : "Field08"
    }
  }, {
    "id" : "field09",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "FIELD09",
      "codeName" : "Field09"
    }
  }, {
    "id" : "field07",
    "dataType" : 6,
    "getPSAppDEField" : {
      "name" : "FIELD07",
      "codeName" : "Field07"
    }
  }, {
    "id" : "field10",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "FIELD10",
      "codeName" : "Field10"
    }
  }, {
    "id" : "field11",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "FIELD11",
      "codeName" : "Field11"
    }
  }, {
    "id" : "field12",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "FIELD12",
      "codeName" : "Field12"
    }
  }, {
    "id" : "field13",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "FIELD13",
      "codeName" : "Field13"
    }
  }, {
    "id" : "field14",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD14",
      "codeName" : "Field14"
    }
  }, {
    "id" : "field17",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "FIELD17",
      "codeName" : "Field17"
    }
  }, {
    "id" : "field16",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD16",
      "codeName" : "Field16"
    }
  }, {
    "id" : "field18",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD18",
      "codeName" : "Field18"
    }
  }, {
    "id" : "field19",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD19",
      "codeName" : "Field19"
    }
  }, {
    "id" : "field2",
    "dataType" : 29,
    "getPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    }
  }, {
    "id" : "field20",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD20",
      "codeName" : "Field20"
    }
  }, {
    "id" : "field21",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "FIELD21",
      "codeName" : "Field21"
    }
  }, {
    "id" : "field24",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD24",
      "codeName" : "Field24"
    }
  }, {
    "id" : "field22",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD22",
      "codeName" : "Field22"
    }
  }, {
    "id" : "field27",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD27",
      "codeName" : "Field27"
    }
  }, {
    "id" : "ibizsample0001id",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZSAMPLE0001ID",
      "codeName" : "IBIZSample0001Id"
    }
  }, {
    "id" : "ibizsample0001name",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZSAMPLE0001NAME",
      "codeName" : "IBIZSample0001Name"
    }
  }, {
    "id" : "ibizsample0002id",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZSAMPLE0002ID",
      "codeName" : "IBIZSample0002Id"
    }
  }, {
    "id" : "ibizsample0002name",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZSAMPLE0002NAME",
      "codeName" : "IBIZSample0002Name"
    }
  }, {
    "id" : "ip",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IP",
      "codeName" : "Ip"
    }
  }, {
    "id" : "latitude",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "LATITUDE",
      "codeName" : "Latitude"
    }
  }, {
    "id" : "longitude",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "LONGITUDE",
      "codeName" : "Longitude"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "formitem",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PICTURE",
      "codeName" : "Picture"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "表单分页",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "caption" : "address",
      "codeName" : "address",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "address",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "address"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "color",
      "codeName" : "color",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "color",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "COLOR",
        "codeName" : "Color"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "color"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.CREATEDATE"
      },
      "caption" : "createdate",
      "codeName" : "createdate",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "createdate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "createdate",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.CREATEMAN"
      },
      "caption" : "createman",
      "codeName" : "createman",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "createman",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "createman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD02"
      },
      "caption" : "field02",
      "codeName" : "field02",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemHeight" : 200.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field02",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD02",
        "codeName" : "Field02"
      },
      "getPSEditor" : {
        "editorHeight" : 200.0,
        "editorParams" : {
          "HEIGHT" : "200"
        },
        "editorType" : "TEXTAREA_10",
        "maxLength" : 1000,
        "name" : "field02",
        "showMaxLength" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.IBIZSAMPLE0001.FIELD01"
      },
      "caption" : "filed01",
      "codeName" : "field01",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field01",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD01",
        "codeName" : "Field01"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "field01"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD03"
      },
      "caption" : "filed03",
      "codeName" : "field03",
      "dataType" : 21,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemHeight" : 200.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field03",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD03",
        "codeName" : "Field03"
      },
      "getPSEditor" : {
        "editorHeight" : 200.0,
        "editorParams" : {
          "HEIGHT" : "200"
        },
        "editorType" : "TEXTAREA_10",
        "maxLength" : 1048576,
        "name" : "field03",
        "showMaxLength" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD04"
      },
      "caption" : "filed04",
      "codeName" : "field04",
      "dataType" : 21,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field04",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD04",
        "codeName" : "Field04"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 1048576,
        "name" : "field04"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD05"
      },
      "caption" : "filed05",
      "codeName" : "field05",
      "dataType" : 9,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field05",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD05",
        "codeName" : "Field05"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field05"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD06"
      },
      "caption" : "filed06",
      "codeName" : "field06",
      "dataType" : 7,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field06",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD06",
        "codeName" : "Field06"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field06",
        "precision" : 2
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD08"
      },
      "caption" : "filed08",
      "codeName" : "field08",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemWidth" : 290.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field08",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD08",
        "codeName" : "Field08"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
        },
        "editorType" : "DATEPICKER",
        "editorWidth" : 160.0,
        "name" : "field08"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD09"
      },
      "caption" : "filed09",
      "codeName" : "field09",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemWidth" : 230.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field09",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD09",
        "codeName" : "Field09"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD"
        },
        "editorType" : "DATEPICKEREX_NOTIME",
        "editorWidth" : 100.0,
        "name" : "field09"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD07"
      },
      "caption" : "filed07",
      "codeName" : "field07",
      "dataType" : 6,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field07",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD07",
        "codeName" : "Field07"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field07"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD10"
      },
      "caption" : "filed10",
      "codeName" : "field10",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemWidth" : 220.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field10",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD10",
        "codeName" : "Field10"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "HH:mm:ss",
        "editorParams" : {
          "TIMEFMT" : "HH:mm:ss"
        },
        "editorType" : "DATEPICKEREX_NODAY",
        "editorWidth" : 90.0,
        "name" : "field10"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD11"
      },
      "caption" : "filed11",
      "codeName" : "field11",
      "dataType" : 9,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemWidth" : 230.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field11",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD11",
        "codeName" : "Field11"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST_100",
        "editorWidth" : 100.0,
        "name" : "field11",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/YesNo.json"
        },
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD12"
      },
      "caption" : "filed12",
      "codeName" : "field12",
      "dataType" : 9,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemWidth" : 230.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field12",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD12",
        "codeName" : "Field12"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST_100",
        "editorWidth" : 100.0,
        "name" : "field12",
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD13"
      },
      "caption" : "filed13",
      "codeName" : "field13",
      "dataType" : 9,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field13",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD13",
        "codeName" : "Field13"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "field13",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_NUM.json"
        },
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD14"
      },
      "caption" : "filed14",
      "codeName" : "field14",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field14",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD14",
        "codeName" : "Field14"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "field14",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_TEXT.json"
        },
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD17"
      },
      "caption" : "filed17",
      "codeName" : "field17",
      "dataType" : 9,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field17",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD17",
        "codeName" : "Field17"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field17"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD16"
      },
      "caption" : "filed16",
      "codeName" : "field16",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field16",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD16",
        "codeName" : "Field16"
      },
      "getPSEditor" : {
        "editorType" : "CHECKBOXLIST",
        "name" : "field16",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_TEXT.json"
        }
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD18"
      },
      "caption" : "filed18",
      "codeName" : "field18",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field18",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD18",
        "codeName" : "Field18"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 60,
        "name" : "field18"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD19"
      },
      "caption" : "filed19",
      "codeName" : "field19",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field19",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD19",
        "codeName" : "Field19"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 60,
        "name" : "field19"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "filed2",
      "codeName" : "field2",
      "dataType" : 29,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field2",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field2"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD20"
      },
      "caption" : "filed20",
      "codeName" : "field20",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field20",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD20",
        "codeName" : "Field20"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "field20",
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD21"
      },
      "caption" : "filed21",
      "codeName" : "field21",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemWidth" : 230.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field21",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD21",
        "codeName" : "Field21"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD"
        },
        "editorType" : "DATEPICKEREX_NOTIME",
        "editorWidth" : 100.0,
        "name" : "field21"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD24"
      },
      "caption" : "filed24",
      "codeName" : "field24",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field24",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD24",
        "codeName" : "Field24"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "field24"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD22"
      },
      "caption" : "filed22",
      "codeName" : "field22",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field22",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD22",
        "codeName" : "Field22"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 60,
        "name" : "field22"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.FIELD27"
      },
      "caption" : "filed27",
      "codeName" : "field27",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field27",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD27",
        "codeName" : "Field27"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "field27",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/WFStates.json"
        },
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.IBIZSAMPLE0001ID"
      },
      "caption" : "entityid",
      "codeName" : "ibizsample0001id",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "ibizsample0001id",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001ID",
        "codeName" : "IBIZSample0001Id"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "ibizsample0001id"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.IBIZSAMPLE0001.IBIZSAMPLE0001NAME"
      },
      "caption" : "entityname",
      "codeName" : "ibizsample0001name",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "ibizsample0001name",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001NAME",
        "codeName" : "IBIZSample0001Name"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 200,
        "name" : "ibizsample0001name"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "02id",
      "codeName" : "ibizsample0002id",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "ibizsample0002id",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0002ID",
        "codeName" : "IBIZSample0002Id"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "ibizsample0002id"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true,
      "showCaption" : true
    }, {
      "caption" : "02name",
      "codeName" : "ibizsample0002name",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "ibizsample0002name",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0002NAME",
        "codeName" : "IBIZSample0002Name"
      },
      "getPSEditor" : {
        "editorParams" : {
          "AC" : "TRUE",
          "PICKUPVIEW" : "TRUE"
        },
        "editorType" : "PICKER",
        "handlerType" : "PickupText",
        "name" : "ibizsample0002name",
        "getPSAppDEACMode" : {
          "modelref" : true,
          "id" : "Default"
        },
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0002.json"
        },
        "getPickupPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0002PickupView.json",
          "viewType" : "DEPICKUPVIEW"
        },
        "valueItemName" : "ibizsample0002id",
        "enableAC" : true,
        "enablePickupView" : true,
        "forceSelection" : true,
        "showTrigger" : true,
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueItemName" : "ibizsample0002id",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "ip",
      "codeName" : "ip",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "ip",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IP",
        "codeName" : "Ip"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "ip"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "latitude",
      "codeName" : "latitude",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "latitude",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "LATITUDE",
        "codeName" : "Latitude"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "latitude"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "longitude",
      "codeName" : "longitude",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "longitude",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "LONGITUDE",
        "codeName" : "Longitude"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "longitude"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEDATE"
      },
      "caption" : "updatedate",
      "codeName" : "updatedate",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "updatedate",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEMAN"
      },
      "caption" : "updateman",
      "codeName" : "updateman",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "updateman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "showCaption" : true
    }, {
      "caption" : "picture",
      "codeName" : "formitem",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "formitem",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "PICTURE",
        "codeName" : "Picture"
      },
      "getPSEditor" : {
        "editorParams" : {
          "showPreview" : "true",
          "showOcrview" : "false",
          "persistence" : "false",
          "folder" : "diskimg"
        },
        "editorStyle" : "DISKPIC",
        "editorType" : "PICTURE",
        "maxFileCount" : -1,
        "maxFileSize" : -1,
        "minFileCount" : 0,
        "name" : "formitem"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "fcda93a6e4314d30c01152d9a73ea825",
  "modeltype" : "PSDEFORM_EDITFORM"
}